/* Botón principal */
.video-popup-btn {
    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
    width: 60px;
    height: 60px;
    transition: transform 0.3s ease;
}

.video-popup-btn:hover {
    transform: scale(1.1);
    background-color: transparent;
}

.video-popup-btn:focus{
    background-color: transparent;
}



.play-icon {
    width: 100%;
    height: auto;
}

/* Overlay del popup */
.video-popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    background-size: cover;
    background-position: center;
}


.video-popup-overlay::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8); 
}



.video-popup-content {
    position: relative;
    top: 15%;
    width: 100vw;
    
}


.video-container {
    position: relative;
    height: 70vh;
    width: 100vw;
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100%;
    border: none;
}


.cerrar-popup {
    position: absolute;
    top: -79px;
    right: 25px;
    color: #E3A1C4;
    font-size: 66px;
    cursor: pointer;
    transition: opacity 0.3s;
}

.cerrar-popup:hover {
    opacity: 0.7;
}


.popup-logo {
    position: absolute;
    top: -40px;
    left: 20px;
    z-index: 2;
}


@media (max-width: 768px){
    
    .video-popup-content {
        left: 5vw;
        width: 90vw;
        top: 37svh;
    }

    .video-container {
        height: 30vh;
        width: 100vw;
    }

    .video-container iframe {
        width: 90vw;
    }
    .popup-logo{
        width: 49px;
        top: -31px;
    }
    .cerrar-popup{
        font-size: 28px;
        top: -38px;
    }

}